summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorYen Chi Hsuan2015-03-03 12:36:04 +0800
committerYen Chi Hsuan2015-03-03 12:36:04 +0800
commite1dab59c022fc31e4a757115d5692e50c3c8aa96 (patch)
tree0e7e40578c5f0c13a3ec78b475c15daa5b9ac4d2
downloadaur-e1dab59c022fc31e4a757115d5692e50c3c8aa96.tar.gz
Add pyalpm-git
-rw-r--r--.SRCINFO18
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD32
3 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..82cbd4dc432
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = pyalpm-git
+ pkgdesc = Libalpm bindings for Python 3 (Git version)
+ pkgver = 0.6.2.r3.g3c4692b
+ pkgrel = 1
+ url = http://projects.archlinux.org/users/remy/pyalpm.git/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ depends = python>=3.2
+ depends = pacman
+ provides = pyalpm=0.6.2.r3.g3c4692b
+ conflicts = pyalpm
+ source = git+https://projects.archlinux.org/git/users/remy/pyalpm.git
+ md5sums = SKIP
+
+pkgname = pyalpm-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..5dab2199350
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+/pyalpm
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..58dfc78a522
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Contributor: Yen Chi Hsuan <yan12125 at gmail.com>
+# Contributor: Dave Reisner <d@falconindy.com>
+
+_pkgname=pyalpm
+pkgname=$_pkgname-git
+pkgver=0.6.2.r3.g3c4692b
+pkgrel=1
+pkgdesc="Libalpm bindings for Python 3 (Git version)"
+arch=('i686' 'x86_64')
+url="http://projects.archlinux.org/users/remy/pyalpm.git/"
+license=('GPL')
+depends=('python>=3.2' 'pacman')
+provides=("$_pkgname=$pkgver")
+conflicts=("$_pkgname")
+makedepends=('git')
+source=('git+https://projects.archlinux.org/git/users/remy/pyalpm.git')
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$_pkgname"
+
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+